# Uses of Class
org.globus.gsi.X509Credential

Packages that use X509Credential
Package
Description
org.globus.gsi
This package conatins the basic security constructs used to build Globus security.
org.globus.gsi.bc
org.globus.gsi.gssapi
The Java GSI library is an implementation of the Java GSS-API.
org.globus.gsi.stores
This package provides classes for accessing security material from generic "stores" (which can be defined via a url).

## Uses of X509Credential in org.globus.gsi

Methods in org.globus.gsi that return X509Credential
Modifier and Type
Method
Description
`static X509Credential`
X509Credential.`getDefaultCredential()`
Returns the default credential.
Methods in org.globus.gsi with parameters of type X509Credential
Modifier and Type
Method
Description
`static void`
X509Credential.`setDefaultCredential(X509Credential cred)`
Sets default credential.

## Uses of X509Credential in org.globus.gsi.bc

Methods in org.globus.gsi.bc that return X509Credential
Modifier and Type
Method
Description
`X509Credential`
BouncyCastleCertProcessingFactory.`createCredential(X509Certificate[] certs, PrivateKey privateKey, int bits, int lifetime, GSIConstants.CertificateType certType)`
Creates a new proxy credential from the specified certificate chain and a private key.
`X509Credential`
BouncyCastleCertProcessingFactory.`createCredential(X509Certificate[] certs, PrivateKey privateKey, int bits, int lifetime, GSIConstants.CertificateType certType, X509ExtensionSet extSet)`
Creates a new proxy credential from the specified certificate chain and a private key.
`X509Credential`
BouncyCastleCertProcessingFactory.`createCredential(X509Certificate[] certs, PrivateKey privateKey, int bits, int lifetime, GSIConstants.CertificateType certType, X509ExtensionSet extSet, String cnValue)`
Creates a new proxy credential from the specified certificate chain and a private key.
`X509Credential`
BouncyCastleCertProcessingFactory.`createCredential(X509Certificate[] certs, PrivateKey privateKey, int bits, int lifetime, GSIConstants.DelegationType delegType)`
Creates a new proxy credential from the specified certificate chain and a private key, using the given delegation mode.
`X509Credential`
BouncyCastleCertProcessingFactory.`createCredential(X509Certificate[] certs, PrivateKey privateKey, int bits, int lifetime, GSIConstants.DelegationType delegType, X509ExtensionSet extSet)`
Creates a new proxy credential from the specified certificate chain and a private key, using the given delegation mode.
`X509Credential`
BouncyCastleCertProcessingFactory.`createCredential(X509Certificate[] certs, PrivateKey privateKey, int bits, int lifetime, GSIConstants.DelegationType delegType, X509ExtensionSet extSet, String cnValue)`
Creates a new proxy credential from the specified certificate chain and a private key, using the given delegation mode.

## Uses of X509Credential in org.globus.gsi.gssapi

Methods in org.globus.gsi.gssapi that return X509Credential
Modifier and Type
Method
Description
`X509Credential`
GlobusGSSCredentialImpl.`getX509Credential()`
Returns actual X509Credential object represented by this credential (if any).
Constructors in org.globus.gsi.gssapi with parameters of type X509Credential
Modifier
Constructor
Description
``
`GlobusGSSCredentialImpl(X509Credential cred, int usage)`
Creates regular credential from specified X509Credential object.

## Uses of X509Credential in org.globus.gsi.stores

Methods in org.globus.gsi.stores that return X509Credential
Modifier and Type
Method
Description
`protected X509Credential`
ResourceProxyCredential.`create(GlobusResource globusResource)`
`protected X509Credential`
CertKeyCredential.`createObject(GlobusResource certSource, GlobusResource keySource)`
`X509Credential`
CertKeyCredential.`getCredential()`
`X509Credential`
CredentialWrapper.`getCredential()`
`X509Credential`
ResourceProxyCredential.`getCredential()`
`X509Credential`
CertKeyCredential.`getSecurityObject()`
Methods in org.globus.gsi.stores with parameters of type X509Credential
Modifier and Type
Method
Description
`protected void`
CertKeyCredential.`init(GlobusResource initCertFile, GlobusResource keyResource, X509Credential initCredential)`
Method parameters in org.globus.gsi.stores with type arguments of type X509Credential
Modifier and Type
Method
Description
`void`
PEMKeyStore.`setProxyDelegate(ResourceSecurityWrapperStore<ResourceProxyCredential,X509Credential> proxyDelegate)`
Constructors in org.globus.gsi.stores with parameters of type X509Credential
Modifier
Constructor
Description
``
`CertKeyCredential(GlobusResource certResource, GlobusResource keyResource, X509Credential credential)`
``
`ResourceProxyCredential(boolean inMemory, GlobusResource globusResource, X509Credential object)`
``
`ResourceProxyCredential(String filename, X509Credential object)`